FolksDummy.PersonaStore.PrepareMock – folks-dummy Reference Manual

# PrepareMock

## Description:

public delegate int PrepareMock () throws PersonaStoreError

Type of a mock function for Folks.PersonaStore.prepare.

See FolksDummy.PersonaStore.set_prepare_mock.

## Returns:

delay to apply to the prepare operation (negative and zero delays complete in an idle callback; positive delays complete after that many milliseconds)

## Exceptions:

PersonaStoreError | to be thrown from Folks.PersonaStore.prepare

## Since:

0.9.7